Create a customer
Create a new customer in Metronome and optionally the billing configuration (recommended) which dictates where invoices for the customer will be sent or where payment will be collected.
Use this endpoint to:
Execute your customer provisioning workflows for either PLG motions, where customers originate in your platform, or SLG motions, where customers originate in your sales system.
Key response fields:
This end-point returns the customer_id created by the request. This id can be used to fetch relevant billing configurations and create contracts.
Example workflow:
- Generally, Metronome recommends first creating the customer in the downstream payment / ERP system when payment method is collected and then creating the customer in Metronome using the response (i.e.
customer_id) from the downstream system. If you do not create a billing configuration on customer creation, you can add it later. - Once a customer is created, you can then create a contract for the customer. In the contract creation process, you will need to add the customer billing configuration to the contract to ensure Metronome invoices the customer correctly. This is because a customer can have multiple configurations.
- As part of the customer creation process, set the ingest alias for the customer which will ensure usage is accurately mapped to the customer. Ingest aliases can be added or changed after the creation process as well.
Usage guidelines:
For details on different billing configurations for different systems, review the /setCustomerBillingConfiguration end-point.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The customer to create
This will be truncated to 160 characters if the provided name is longer.
Aliases that can be used to refer to this customer in usage events
20001 - 128(deprecated, use ingest_aliases instead) an alias that can be used to refer to this customer in usage events
1 - 128Custom fields to be added eg. { "key1": "value1", "key2": "value2" }
Response
Success